diff -rbNu rtlinux-3.1/Makefile rtlinux-3.1-new/Makefile
--- rtlinux-3.1/Makefile	2001-07-26 08:00:00.000000000 +0200
+++ rtlinux-3.1-new/Makefile	2008-01-28 12:41:41.221550300 +0100
@@ -31,14 +31,6 @@
 
 include schedulers/$(ARCH)/Makefile
 
-ifeq ($(ARCH),i386)
-# for the x86, take it directly from kernel (too many cases) -- Michael
-LINUXCFLAGS := $(shell cd $(RTLINUX); make -s -f $(RTL)/scripts/cflags.mk)
-LINUXCC := $(shell cd $(RTLINUX); make -s -f $(RTL)/scripts/cc.mk)
-CFLAGS = $(LINUXCFLAGS)
-CC = $(LINUXCC)
-else
-
 ifdef CONFIG_SMP
 CFLAGS += -D__SMP__
 AFLAGS += -D__SMP__
@@ -50,7 +42,6 @@
 
 CFLAGS += -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes
 CC		= ${CROSS_COMPILE}gcc
-endif
 
 HOSTCC		= gcc
 LD		= ${CROSS_COMPILE}ld
@@ -77,9 +68,9 @@
 LIB_INSTDIR=$(INSTDIR)/lib
 BIN_INSTDIR=$(INSTDIR)/bin
 EXAMPLE_INSTDIR=$(INSTDIR)/examples
-MOD_INSTDIR=$(INSTDIR)/modules
+#MOD_INSTDIR=$(INSTDIR)/modules
 DOC_INSTDIR=$(INSTDIR)/doc
-#MOD_INSTDIR=$(DESTDIR)/lib/modules/$(KERNELRELEASE)/misc
+MOD_INSTDIR=$(DESTDIR)/lib/modules/$(KERNELRELEASE)/misc
 DEV_INSTDIR=$(DESTDIR)/dev
 
 .EXPORT_ALL_VARIABLES:
@@ -221,7 +212,7 @@
 examples: dummy
 	@set -e
 	@echo
-	@for i in $(EXAMPLE_DIRS); do\
+	@for i in $(EXAMPLE_DIRS); do \
 	$(MAKE) -C  examples/$$i; \
 	done
 
@@ -232,7 +223,7 @@
 	@set -e
 	@echo
 ifdef DRIVER_DIRS
-	@for i in $(DRIVER_DIRS); do\
+	@for i in $(DRIVER_DIRS); do \
 	$(MAKE) -C  drivers/$$i; \
 	done
 endif
@@ -316,7 +307,7 @@
 .depend: scripts/mkdep
 # dummy symlinks .config scripts/mkdep
 	@echo Kernel version $(KERNELRELEASE)
-	@if [ ! -f $(RTLINUX)/.config -o ! -f $(RTLINUX)/include/linux/version.h ]; then\
+	@if [ ! -f $(RTLINUX)/.config -o ! -f $(RTLINUX)/include/linux/version.h ]; then \
 	echo You must do a make config and make dep in $(RTLINUX); \
 	exit 1; \
 	fi
@@ -375,7 +366,6 @@
 	@echo "Instaling modules in" $(MOD_INSTDIR)
 	@for mod in modules/*.o ; do \
 	   install -c -m 644 $$mod $(MOD_INSTDIR); \
-	   ln -sf $(IDIR)/modules/`basename $$mod` $(DESTDIR)/lib/modules/$(KERNELRELEASE)/misc/`basename $$mod`; \
 	done
 #
 # Don't bother doing a depmod if we're building an rpm since it will
